Subject: [alpine-aports] [PATCH] testing/python34: new aport

From: Gus Monod <[email-masked]>
Date: Tue, 26 Jul 2016 17:11:26 +0000

Adding an old version of Python 3 (3.4.3). This is useful for apps
that require this specific version of Python 3.

http://www.python.org
A high-level scripting language
---
 testing/python34/APKBUILD | 90 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 90 insertions(+)
 create mode 100644 testing/python34/APKBUILD

diff --git a/testing/python34/APKBUILD b/testing/python34/APKBUILD
new file mode 100644
index 0000000..d14a12a
--- /dev/null
+++ b/testing/python34/APKBUILD
@@ -0,0 +1,90 @@
+# Maintainer:  Bartłomiej Piotrowski <[email-masked]>
+# Contributor: Gus Monod <[email-masked]>
+
+pkgname=python34
+pkgver=3.4.3
+pkgrel=0
+pkgdesc="A high-level scripting language"
+url="http://www.python.org"
+arch="all"
+license="custom"
+depends=""
+makedepends="expat-dev openssl-dev zlib-dev ncurses-dev bzip2-dev xz-dev
+	sqlite-dev libffi-dev tcl-dev linux-headers gdbm-dev readline-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.xz"
+
+builddir="$srcdir/Python-$pkgver"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	# force system libs
+	rm -r Modules/expat \
+		Modules/zlib \
+		Modules/_ctypes/darwin* \
+		Modules/_ctypes/libffi* \
+		|| return 1
+}
+
+build() {
+	cd "$builddir"
+
+	./configure \
+		--prefix=/usr \
+		--disable-rpath \
+		--enable-ipv6 \
+		--enable-loadable-sqlite-extensions \
+		--enable-shared \
+		--with-computed-gotos \
+		--with-dbmliborder=gdbm:ndbm \
+		--with-system-expat \
+		--with-system-ffi \
+		--with-threads \
+		|| return 1
+
+	make EXTRA_CFLAGS="$CFLAGS" || return 1
+}
+
+package() {
+	cd "$builddir"
+	make -j1 DESTDIR="$pkgdir" EXTRA_CFLAGS="$CFLAGS" install maninstall \
+		|| return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+	local _basever="${pkgver%.*}"
+	ln -sf ../../libpython${_basever}m.so \
+		"${pkgdir}/usr/lib/python${_basever}/config-${_basever}m/libpython${_basever}m.so"
+}
+
+_mv_files() {
+	cd "$pkgdir"/usr/lib/python${pkgver%.*}
+	for i in */test */tests; do
+		mkdir -p "$subpkgdir"/usr/lib/python${pkgver%.*}/"$i"
+		mv "$i"/* "$subpkgdir"/usr/lib/python${pkgver%.*}/"$i"
+		rm -rf "$i"
+	done
+	mv "$pkgdir"/usr/lib/python${pkgver%.*}/test \
+		"$subpkgdir"/usr/lib/python${pkgver%.*}
+}
+
+dev() {
+	# pyconfig.h is needed runtime so we move it back
+	default_dev
+	mkdir -p "$pkgdir"/usr/include/python${pkgver%.*}m
+	mv "$subpkgdir"/usr/include/python${pkgver%.*}m/pyconfig.h \
+		"$pkgdir"/usr/include/python${pkgver%.*}m/
+}
+
+tests() {
+	pkgdesc="The test modules from the main python package"
+	arch="noarch"
+
+	cd "$pkgdir"
+	_mv_files
+}
+
+md5sums="7d092d1bba6e17f0d9bd21b49e441dd5  Python-3.4.3.tar.xz"
+sha256sums="b5b3963533768d5fc325a4d7a6bd6f666726002d696f1d399ec06b043ea996b8  Python-3.4.3.tar.xz"
+sha512sums="55b2d7c07da8ad3a3971b4687da2e45809c6f1474732e93b0432f121f287d0b63ad8a9bf381987ea70f47a03d9474c3e55b7d86d14800bf7ef29b3324d8d35b9  Python-3.4.3.tar.xz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---